curl --request PUT \
--url https://production.trackstarhq.com/wms/inventory/{inventory_id}/adjust \
--header 'Content-Type: application/json' \
--header 'x-trackstar-access-token: <x-trackstar-access-token>' \
--header 'x-trackstar-api-key: <x-trackstar-api-key>' \
--data '
{
"quantity": 1,
"adjustment_type": "increase",
"warehouse_id": "warehouse_id",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"location_id": "location_id"
}
'import requests
url = "https://production.trackstarhq.com/wms/inventory/{inventory_id}/adjust"
payload = {
"quantity": 1,
"adjustment_type": "increase",
"warehouse_id": "warehouse_id",
"trackstar_tags": ["tag1", "tag2", { "tag3": "value3" }],
"location_id": "location_id"
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
quantity: 1,
adjustment_type: 'increase',
warehouse_id: 'warehouse_id',
trackstar_tags: ['tag1', 'tag2', {tag3: 'value3'}],
location_id: 'location_id'
})
};
fetch('https://production.trackstarhq.com/wms/inventory/{inventory_id}/adjust', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "id",
"unused_fields": [
"unused_fields"
],
"data": {
"id": "inv_id",
"warehouse_customer_id": "warehouse_customer_id",
"created_date": "2022-01-01T00:00:00Z",
"updated_date": "2022-01-02T05:05:05Z",
"name": "name",
"sku": "sku",
"unit_cost": 1,
"active": true,
"awaiting": 0,
"onhand": 5,
"committed": 1,
"unfulfillable": 0,
"fulfillable": 4,
"sellable": 2,
"substitute_skus": [
"sub_sku_1",
"sub_sku_2"
],
"inventory_by_warehouse_id": {
"warehouse_id_1": {
"onhand": 4,
"committed": 1,
"unfulfillable": 0,
"fulfillable": 3,
"sellable": 2,
"awaiting": 0
},
"warehouse_id_2": {
"onhand": 1,
"committed": 0,
"unfulfillable": 0,
"fulfillable": 1,
"sellable": 1,
"awaiting": 0
}
},
"lots": [
{
"lot_id": "lot_id_1",
"onhand": 2,
"expiration_date": "2022-01-01T00:00:00Z",
"warehouse_id": "warehouse_id1"
},
{
"lot_id": "lot_id_2",
"onhand": 1,
"expiration_date": "2022-01-03T00:00:00Z",
"warehouse_id": "warehouse_id2"
}
],
"measurements": {
"length": 1.5,
"width": 1.5,
"height": 1.5,
"unit": "in",
"weight": 2.5,
"weight_unit": "lb"
},
"locations": [
{
"location_id": "location_id_1",
"quantity": 2,
"warehouse_id": "warehouse_id1"
},
{
"location_id": "location_id_2",
"quantity": 1,
"warehouse_id": "warehouse_id2"
}
],
"external_system_url": "https://example.com/inventoryitem/123",
"trackstar_tags": [
"tag1",
"tag2",
{
"tag3": "value3"
}
],
"additional_fields": {
"key": "value"
},
"trackstar_created_date": "2023-03-15T13:45:30Z",
"trackstar_updated_date": "2023-03-15T13:45:30Z"
}
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Adjust Inventory Item
Adjust the inventory for the specified inventory item.
Headers
Your organization-level Trackstar API key.
"<x-trackstar-api-key>"
Your user's access token for a specific integration (ShipHero, Extensiv, etc).
"<x-trackstar-access-token>"
Optional key that makes this request safe to retry. Send the same key on a retry and Trackstar returns the first attempt's response instead of writing again; if the first attempt failed, the retry runs the write again. Reusing a key with a different request is rejected. Keys expire after 24 hours.
1 - 255"9f1c2b1e-6d4a-4c1c-9a8e-2b7e3c5d1f00"
Path Parameters
Body
- WMS Sandbox
- Amazon
- Linnworks
- Logiwa
- Luminous
- ShipHero
The quantity to adjust the inventory by.
1
The type of adjustment to make to the inventory.
increase, decrease "increase"
ID of the warehouse to adjust inventory in.
N/A - Connect an account to see options "warehouse_id"
A list of custom tags associated with the resource. A tag can be either a string or a dictionary with one key-value pair.
["tag1", "tag2", { "tag3": "value3" }]
ID of the location to adjust inventory in.
"location_id"